org.eclipse.rdf4j.sail.spin.config

## Class SpinSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.spin.config.SpinSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig

      public class SpinSailConfig
      extends AbstractDelegatingSailImplConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpinSailConfig()`
    `SpinSailConfig(SailImplConfig delegate)`
    `SpinSailConfig(SailImplConfig delegate, boolean axiomClosureNeeded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAxiomClosureNeeded()`
    `boolean` | `isValidateConstraints()`
    `void` | `parse(Model m, Resource implNode)`
    `void` | `setAxiomClosureNeeded(boolean axiomClosureNeeded)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `export, getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### SpinSailConfig

          public SpinSailConfig()

    - #### SpinSailConfig

          public SpinSailConfig(SailImplConfig delegate)

    - #### SpinSailConfig

          public SpinSailConfig(SailImplConfig delegate,
                                boolean axiomClosureNeeded)

  - ### Method Detail

    - #### isAxiomClosureNeeded

          public boolean isAxiomClosureNeeded()

    - #### setAxiomClosureNeeded

          public void setAxiomClosureNeeded(boolean axiomClosureNeeded)

    - #### isValidateConstraints

          public boolean isValidateConstraints()

    - #### parse

          public void parse(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractDelegatingSailImplConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.